Subject: RE: draft-raggarwa-rsvpte-pw-01.txt

From: "Nurit Sprecher" <[email-masked]>
Date: Thu, 24 Mar 2005 14:17:32 +0200

Hi Tom,

We should distinguish between MS PWs and SS PWs. 
The protocol that we have is appropriate for non-TE MS PWs and also for
SS PWs (both TE and non-TE). However for TE MS PWs it is not appropriate
because the requirements of the TE MS PW should be signaled such that
the S-PEs can use the information to select the appropriate Tunnel/link
for the PW. For example, to select a Tunnel that its egress is hop
through which the MS PW should transmit (fro policy sake for example), a
Tunnel that has enough BW, and support the required Diffserv-TE class,
that its traffic priority is not smaller than the priority of the PW,
that the Tunnel is protected with mechanism that provides up to 50ms
restoration time in case of a failure, etc. I think that the (only)
example above indicates that there are "significant advantage to
signaling PWs using an alternative means". So maybe now you should
"think otherwise" as you said.

The natural protocol that already provides us with this capability is
the RSVP-TE protocol (which is already used and deployed for TE
Tunnels). As I already stated, it should only be extended to support the
PW identifier (PW ID/Type) and the control word, which is a very little
extension (especially relatively to the extension that LDP protocol
should go through to support the signaling of the TE information).

Nurit.

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of
Thomas D. Nadeau
Sent: Wednesday, March 23, 2005 5:41 PM
To: Stewart Bryant
Cc: pwe3
Subject: Re: [PWE3] draft-raggarwa-rsvpte-pw-01.txt

	Personally speaking, I don't think that it is useful
for the WG to spend time and effort re-inventing
the wheel, so to speak, which is what this draft
represents. We already have a protocol for
signaling PWs that works, and is deployed. If
there were some significant advantage to signaling
PWs using an alternative means, I would think
otherwise, but it seems this is just being proposed
as an alternative means for achieving the same
end result.

	--Tom

> At IETF62 the authors of
>
> Setup and Maintenance of Pseudowires using RSVP-TE
> ftp://www.ietf.org/internet-drafts/draft-raggarwa-rsvpte-pw-01.txt
>
> asked for the draft to become a WG draft.
>
> What is the view of members of the PWE3 WG?
>
> Stewart
>
> _______________________________________________
> pwe3 mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/pwe3
>

_______________________________________________
pwe3 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/pwe3